      subroutine execute_job(uname)
*****************************************************************
*                                                               *
*               AUTHOR: G. WOTAWA                               *
*               Update: 1996-09-23                              *
*                                                               *
*        ******************************************             *
*        * W O R K S T A T I O N    V E R S I O N *             *
*        ******************************************             *
*                                                               *
*****************************************************************
*                                                               *
* DESCRIPTION: EXECUTION OF JOB FILE NEEDED FOR PREPARATION OF  *
* METEOROLOGICAL DATA FOR TRAJECTORY MODEL FLEXTRA (job is sent *
* to ecgate1.normal)                                            *
*                                                               *
*****************************************************************
*                                                               *
* The job file job.prepo.uid is expected to be available in     *
* catalog /tmp. It is deleted after being submitted to batch    *
* queue ecgate1.normal                                          *
*                                                               *
*****************************************************************
      implicit none
      character syscom*60,uname*3

      syscom='qsub -q ecgate1.normal /tmp/job.prepo.'//uname
      call system(syscom)
      write(*,*) syscom
      syscom='mv /tmp/job.prepo.'//uname//' /tmp/job.prepo.bak.'//
     & uname
      call system(syscom)
      write(*,*) syscom
      write(*,*) 'YOU WILL BE NOTIFIED VIA E-MAIL IF JOB IS '//
     &           'FINISHED'
      write(*,*) 'PLEASE LOOK AT YOUR JOB LOG FILES AFTERWARDS: '
      write(*,*) '~uid/waitqueue/METpreproXXXXXX'

      return
      end
